:root {
    --orange: #f6871f;
    --pekada-green: #183f3a;
    --white: #ffffff;
    --dark: #2a2c2e;

    --background-orange: #f6871f6c;
    --background-green: #183f3a3d;
    --background-green-contrast: #183f3a59;

    --lightgray: #d1d1d1;
    --text-inactive: #555555;
    --text-hovered: #3a3a3a;

    font-size: 12px;
}
* {
    border: transparent !important;
}




/* Profile */

#ContentContainer_MainContent_MainContent_ContentBottom_MarketingOptionsPanel {
    display: none;
}



form#content_form table:not(:has(tr.child)) tbody tr:nth-child(odd),
form#content_form table:not(:has(tr.child)) tbody tr:nth-child(even),
form#content_form label   {
    background: none !important;
}


form#content_form #ProfileFormView {
        padding: 2rem 0rem 2rem 0rem;
    background: rgba(56, 98, 56, 0.164);
    border-radius: 4px;
}

body:has(#ProfileFormView)  .col-lg-4 {
    width: 25%;
}

body:has(#ProfileFormView) .xrm-editable-html.xrm-attribute.page-copy {
    display: none;
}






/* Layout/responsive */

body {
  display: flex;
  flex-direction: column;
    background-image: url('/circle-full.png');
    background-blend-mode: luminosity;
    background-repeat: repeat;
}

.card-body, .list-group-item {
    background: transparent !important;
}








/* Footer */

.footer {
    background-color: #fafafa00;
    /* padding: 3rem 1.5rem 6rem; */
    bottom: 0 !important;
    width: 100vw;
    padding: 0 !important;
    margin-top: auto;
}

footer .footer-bottom {
    background-color: #9E691A;
}

footer .footer-bottom {
    background-image: linear-gradient(to left, #183f3a, #919d93);
}

footer .footer-bottom p {
    color: white !important;
}










.card.border-light.comment-and-submit-container.hidden {
  margin-bottom: 0 !important;
  margin-top: auto;
}

.dt-container {
    width: 100%;
  animation: fadeBlink 0.3s ease-in forwards;
}

.container {
    max-width: 2400px !important;
}

tr.child {
    padding: 0 !important;
}

table.dataTable>tbody>tr.child:hover {
    background: initial !important;
}

span.dtr-title {
    background: transparent !important;
    width: 100% !important;
    margin: 0 !important;
    height: 34px;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.input-group-text {
    display: flex;
    align-items: center;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: white !important;
    text-align: center;
    white-space: nowrap;
    background-color: var(--pekada-green) !important;
    border: 1px solid #ced4da;
    border-radius: .375rem;
}


table.dataTable>tbody>tr.child ul.dtr-details {
    display: flex !important;
    list-style-type: none !important;
    margin: 0;
    padding: 0;
    align-items: flex-start !important;
    border: none !important;
}

/* Form a single stack for mobile */
@media screen and (max-width: 600px) {
    table.dataTable>tbody>tr.child ul.dtr-details {
        display: inline-block !important;
        width: 100%;
    }
}

tr.child .mobile-label {
    display: none !important;
}

table:has(tr.child) thead {
    display: none;
}

table:has(tr.child) tr:not(:first-child):not(.child) {
    /* box-shadow: 2px 2px black; */
}


table:not(:has(tr.child)) .mobile-label {
    display: none !important;
}

tbody:has(tr.child) tr.child .mobile-label {
    display: none !important;
}

.mobile-label {
    background: transparent !important;
    width: 100% !important;
    margin: 0 !important;
    height: 34px;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

table.dataTable>tbody>tr.child:hover {
    background: initial !important;
}

tr.child td.child {
padding: 0rem 1rem 3rem 1rem; 
}

table.dataTable>tbody>tr.child:hover {
    background: initial !important;
}




/* PROVIDES VISUAL COHERENCE WHEN ROWS HAVE COLLAPSED AND HAVE A CHILD ROW */
/* If there are multiple child rows i think this breaks. in practice, by the time the screen gets that small a flex -column rule kicks in and averts catastrophe. */
table:has(tr.child) tbody tr:not(.child):nth-child(4n-3),table:has(tr.child) tbody tr.child:nth-child(4n-2) {
background-color: rgba(56, 98, 56, 0.3) !important;
}
table:has(tr.child) tbody tr:not(.child):nth-child(4n-1), table:has(tr.child) tbody tr.child:nth-child(4n) {
    background-color: rgb(205 205 205 / 70%) !important;
}

/* Apply the first background color to even rows in tables WITHOUT `tr.child` */
table:not(:has(tr.child)) tbody tr:nth-child(even) {
    background-color: rgba(56, 98, 56, 0.3) !important;
}

/* Apply the second background color to odd rows in tables WITHOUT `tr.child` */
table:not(:has(tr.child)) tbody tr:nth-child(odd) {
    background-color: rgb(205 205 205 / 70%) !important;
}



/* table:has(tr.child) tbody tr:not(.child):nth-child(4n-3):hover, table:has(tr.child) tbody tr.child:nth-child(4n-2):hover {
    background-color: rgba(56, 98, 56, 0.164) !important;
}

table:has(tr.child) tbody tr:not(.child):nth-child(4n-1):hover, table:has(tr.child) tbody tr.child:nth-child(4n):hover {
    background-color: rgb(241 241 241 / 50%)  !important

} */


p > a {
    font-size: inherit !important;
}


table.dataTable>tbody>tr.child ul.dtr-details>li {
    border-bottom: 1px solid #efefef;
    padding: 0 !important;
}

thead {
    background: #4b595230;
    /* color: white; */
}

span.dtr-title {
    margin-bottom: 10px;
}

input.form-control, input, textarea.form-control, select, option.form-control, button[data-interaction-type] {
    background-color: white !important;
    border: none !important;
    border-radius: 4px !important;
    height: 40px;
    flex-grow: 1 !important;
}

textarea#additionalDetails {
    height: auto !important;
    padding-left: 8px !important;
}

.td-wrapper {
    display: flex;
    /* gap: 1rem; */
    padding-top: 5px;
    padding-bottom: 5px;
}

li[data-dt-row]:last-child {
    flex-grow: 1;
}


tr.child li:not(:first-child) .td-wrapper {
    padding-left: 1rem
}

tr.child li:not(:last-child) .td-wrapper {
    padding-right: 1rem
}

tr.child li:last-child .dtr-data .td-wrapper {
  /* box-shadow: 0px 1px 0px black; */
}


tr td:first-child .td-wrapper {
    gap: 1rem;
}

th:first-child div span {
    margin-left: 5rem !important;
}



.money-div {
    display: flex;
    width: 100%;
}


table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    margin-right: .5em;
    display: inline-block;
    box-sizing: border-box;
    content: "";
    border-top: 0px solid transparent !important;
    border-left: 0px solid rgba(0, 0, 0, 0.5) !important;
    border-bottom: 0px solid transparent !important;
    border-right: 0px solid transparent !important;
    bottom: 10px !important;
    position: relative;
    right: 1rem;
    content: "" !important;
    transform: scale(1);
}

table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>th.dtr-control:before {
    border-top: 0px solid rgba(0, 0, 0, 0.5) !important;
    border-left: 0px solid transparent !important;
    border-bottom: 0px solid transparent !important;
    border-right: 0px solid transparent !important;
}

/* for child row */


button[data-interaction-type="Delete"].deleteBtn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    padding: 1rem;
    background-color: var(--pekada-green) !important;
    color: #842029;
    cursor: pointer;
    border: none;
    border-radius: 4px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-trash2' viewBox='0 0 16 16' style='filter: invert(100%);'><path d='M14 3a.7.7 0 0 1-.037.225l-1.684 10.104A2 2 0 0 1 10.305 15H5.694a2 2 0 0 1-1.973-1.671L2.037 3.225A.7.7 0 0 1 2 3c0-1.105 2.686-2 6-2s6 .895 6 2M3.215 4.207l1.493 8.957a1 1 0 0 0 .986.836h4.612a1 1 0 0 0 .986-.836l1.493-8.957C11.69 4.689 9.954 5 8 5s-3.69-.311-4.785-.793'/></svg>");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 2rem;
    flex-grow: 0 !important;
}

button[data-interaction-type="lookup"] {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    margin-left: 0.2rem;
    padding: 1rem;
    background-color: var(--pekada-green) !important;
    color: #842029;
    cursor: pointer;
    border: none;
    border-radius: 4px !important;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-x-circle' style='filter: invert(100%);' viewBox='0 0 16 16'><path d='M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16'/><path d='M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708'/></svg>");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 1rem;
}

 button[data-interaction-type="Delete"].deleteBtn.undo {
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"  style="filter: invert(100%);" fill="currentColor" class="bi bi-arrow-counterclockwise"  viewBox="0 0 16 16"><path fill-rule="evenodd" d="M8 3a5 5 0 1 1-4.546 2.914.5.5 0 0 0-.908-.417A6 6 0 1 0 8 2z"/><path d="M8 4.466V.534a.25.25 0 0 0-.41-.192L5.23 2.308a.25.25 0 0 0 0 .384l2.36 1.966A.25.25 0 0 0 8 4.466"/></svg>');
}

button[data-interaction-type="Delete"].deleteBtn:hover, button[data-interaction-type="lookup"]:hover {
    box-shadow: 0px 0px 0px 2px #ffffff;
}

*[disabled]:not([data-logicalname="fullname"]) {
    opacity: 0.3 !important;
}

.undo *[disabled] {
    opacity: 0.3 !important;
}


.customNode.context-container h6 {
    font-size: 1.4rem;
    font-weight: 600;
    width: fit-content;
}

textarea {
    resize: none;
    padding: 0.93rem 0.3rem !important;
    font-weight: 200 !important;
    font-family: 'Roboto-Extralight' !important;
}

  .ui-autocomplete {
    width: auto !important;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    display: none;
    min-width: 160px;
    padding: 4px 0;
    margin: 0 0 10px 25px;
    list-style: none;
    background-color: #ffffff;
    border-color: #ccc;
    border-color: rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 1px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    *border-right-width: 2px;
    *border-bottom-width: 2px;
  }

li.ui-menu-item div {
    text-wrap-mode: nowrap;
}

  .undo {
    animation: fade 3s ease;
  }

  @keyframes fade {
    0% {
      opacity: 1;
      /* Invisible at start and end */
    }

    100% {
      opacity: 0.8;
      /* Fully visible at midpoint */
    }
  }

  .ui-menu-item>a.ui-corner-all {
    display: block;
    padding: 3px 15px;
    clear: both;
    font-weight: normal;
    line-height: 18px;
    color: #555555;
    white-space: nowrap;
    text-decoration: none;
  }

  .ui-state-hover,
  .ui-state-active {
    color: #ffffff;
    text-decoration: none;
    background-color: #0088cc;
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    background-image: none;
  }

  .invalid, *:invalid {
    border: 2px solid red;
    animation: jump 0.2s ease;
    outline-color: red;
  }

  input:invalid:placeholder-shown::placeholder {
    color: red !important;
  }

  @keyframes highlightFade {
      0% {
        background-color: rgba(134, 197, 100, 0.75);
      }
      100% {
        background-color: transparent;
      }
    }

    .highlight {
      animation: highlightFade 1s ease-in-out;
    }


  @keyframes jump {
    0% {
      transform: scale(1);
      /* Start at normal size */
    }

    50% {
      transform: scale(1.1);
      /* Grow in size */
    }

    100% {
      transform: scale(1);
      /* Return to normal size */
    }
  }

  .jump-box {
    display: inline-block;
    /* To make the element's size flexible */
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    font-weight: bold;
    border-radius: 8px;
    text-align: center;
    cursor: pointer;

    /* Start with no animation until triggered */
    transition: transform 0.2s;
  }












/* Navbar/progress bar */

@media (min-width: 1200px) {
.navbar-expand-xl .navbar-nav .nav-link {
    padding-right: var(--bs-navbar-nav-link-padding-x);
    padding-left: var(--bs-navbar-nav-link-padding-x);
    width: max-content;
}

.navbar-expand-xl .navbar-nav {
    flex-direction: row;
    flex-wrap: nowrap;
}
}

.navbar-expand-xl .navbar-collapse {
    justify-content: center;
}

nav[aria-label="Second Navigation"] {
    padding: 0px 35px;
    border-radius: 10px;
    background: linear-gradient(to right, #ffa500, #c8d2c93d);
}


#navbarTwo li.nav-item.weblink:has(a.current-item)~li.nav-item.weblink {
    opacity: 0.5;
}

#navbarTwo li.nav-item:not(li.nav-item.weblink:has(a.current-item) ~ li.nav-item.weblink) {
    opacity: 1;
}


a.nav-link.previous-item {
    background: #ffa50087;
    color: white !important;
    opacity: 1;
}

html[dir=ltr] li a {
    margin-left: 0px !important;
}

a.nav-link.previous-item.active-item,
a.nav-link.current-item.active-item {
    background: orange !important;
    font-weight: bold;
}

.nav-link.current-item:not(.active-item) {
    background-color: #ffa50087;
}

nav[aria-label="Second Navigation"] {
    padding: 0px 35px;
    border-radius: 10px;
    background: linear-gradient(to right, #ffa500, #c8d2c93d);
}










  /* animations */

  @keyframes loadingSpinner {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

@keyframes fadeBlink {
        0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes spinAndFadeOut {
  0% {
    transform: rotate(0deg) translateX(0) scale(1);
    opacity: 1;
  }
  100% {
    transform: rotate(360deg) translateX(70vw) scale(0.3);
    opacity: 0;
  }
}

.custom-loader {
    animation: loadingSpinner 0.5s infinite;
    max-width: 100px;
}

.custom-loader + p {
    animation: fadeBlink 1s infinite;
}

.custom-loader-container {
    flex-direction: column;
    align-items: center;
}




















/* ANTI-SQUASHING */

/* Allow at least 120px else reflow */
span.dt-column-title, span.dtr-title {
    min-width: 120px;
}














.navbar-nav>li>a {
    line-height: 21px;
    /* padding-top: 14.5px; */
}

table.dataTable>tbody>tr.selected>* {
    box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.9);
    box-shadow: inset 0 0 0 9999px rgb(25 73 52 / 33%) !important;
    color: rgb(255, 255, 255);
    color: rgb(var(--dt-row-selected-text));
}

.nav-link.future-item:hover {
    background: white !important;
}

.nav-link.previous-item:hover {
    background: #f6871f !important;
}

.nav-link.previous-item:hover,
.nav-link.current-item:hover {
    background: #f6871f !important;
}


thead>tr:not(:has(> th:nth-child(2)))>th {
    display: none;
}

body {
    overflow-x: hidden;
}

input:required:invalid {
    border-color: rgba(255, 0, 0, 0.555) !important;
    border: 1px solid #ff000087 !important;
}

select:required:has(option[value=""]:checked) {
    outline: red 2px solid !important;
    color: red !important;
}


select:invalid .no-option-option {
    color: red !important;
}

option {
    color: black;
}


td:hover {
    cursor: pointer;
}

.form-control:required:invalid {
    outline: red 1px solid;
}

td.dt-empty {
    font-size: 20px !important;
}

div#navbarTwo {
    /* background: linear-gradient(to right, #183f3a, #565e57); */
    /* padding: 0.3rem; */
}

@media screen and (max-width: 1200px) {
    div#navbarTwo {
        padding: 0.7rem;
    }

    nav[aria-label="Second Navigation"] {
        padding: 0 !important;
        background: linear-gradient(to bottom, #ffa500, #c8d2c93d) !important;
    }

    a.nav-link {
        padding-left: 1rem;
    }
}

p.validationNode {
    color: red;
    /* gone */
    display: none;
}



.d-xs-block.d-sm-block.d-md-block.d-lg-block.navbar-brand {
    width: 100%;
    text-align: center !important;
    display: flex !important;
}


.col-lg-9.col-md-9.col-sm-9.text-start * {
    color: black;
}

.col-lg-9.col-md-9.col-sm-9.text-start * p {
    position: absolute;
    left: 20px;
    font-size: 16px;
}

.static-top.navbar-dark {
    background-image: linear-gradient(to right, #183f3a, #565e57);
}


*[content-ref] {
    margin-bottom: 4rem !important;
}

.customNode.context-container {
    flex-grow: 1 !important;
    padding-right: 2rem;
    padding: 1rem;
    border-radius: 5px;
}

.customNode h6 {
    text-transform: capitalize;
    background-color: white;
    border-radius: 4px;
    padding: 5px;
}

.pagination-link[disabled],
.pagination-next[disabled],
.pagination-previous[disabled] {
    background-color: #dbdbdb !important;
    /* border-color: #333333; */
    box-shadow: 1px 1px 1px 2px var(--portalThemeColor1) !important;
    color: #000000 !important;
    opacity: .7 !important;
}

.customNode.context-container h6 {
    font-size: 1.4rem;
    font-weight: 600;
}


.change-sticky {
    display: none;
}



.ms-auto {
    margin-right: auto !important;
}

div#navbarTwo.collapse {
    display: block;
}

.row.submit-changes-row .container {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    margin-right: 1rem;
}















/* Home page + Finish page */

#EntityFormPanel,  .thanksForStartingYourSurveyContainer {
    max-width: 1000px;
    width: 100%;
    background: white;
}

div[id*="EntityFormControl"] {
    display: flex;
    flex-direction: column;
    align-items: center;
}

input[value="Begin Survey"] {
    background: var(--pekada-green) !important;
    color: white !important;
    font-weight: 800 !important;
    transition: all 0.1s;
}

input[value="Begin Survey"]:hover, a#progress-form:hover {
    transform: scale(1.03);
}

div.actions {
    padding: 1rem !important;
    width: 0px !important;
    margin: 0 !important;
    border-top: none !important;
}
#finishScreenBlock {
    max-width: 600px;
    width: 100%;
}
#finishScreenBlockCopy {
    background: #efefef;
    padding: 2rem;
    margin-top: 2rem;
}
a#progress-form {
    background-color: var(--pekada-green) !important;
    border-color: transparent !important;
}



















table tbody tr:hover>* {
    box-shadow: inset 0 0 0 9999px #ffffff00 !important;
}



/* Responsive datatables stylesheet -  */
table.dataTable.dtr-inline.collapsed>tbody>tr>td.child,table.dataTable.dtr-inline.collapsed>tbody>tr>th.child,table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty {
    cursor: default !important
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.child:before,table.dataTable.dtr-inline.collapsed>tbody>tr>th.child:before,table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty:before {
    display: none !important
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control,table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
    cursor: pointer
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    margin-right: .5em;
    display: inline-block;
    box-sizing: border-box;
    content: "";
    border-top: 5px solid transparent;
    border-left: 10px solid rgba(0, 0, 0, 0.5);
    border-bottom: 5px solid transparent;
    border-right: 0px solid transparent
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control.arrow-right::before,table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control.arrow-right::before {
    border-top: 5px solid transparent;
    border-left: 0px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 10px solid rgba(0, 0, 0, 0.5)
}

table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>td.dtr-control:before,table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>th.dtr-control:before {
    border-top: 10px solid rgba(0, 0, 0, 0.5);
    border-left: 5px solid transparent;
    border-bottom: 0px solid transparent;
    border-right: 5px solid transparent
}

table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td.dtr-control,table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th.dtr-control {
    padding-left: .333em
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control,table.dataTable.dtr-column>tbody>tr>th.dtr-control,table.dataTable.dtr-column>tbody>tr>td.control,table.dataTable.dtr-column>tbody>tr>th.control {
    cursor: pointer
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control:before,table.dataTable.dtr-column>tbody>tr>th.dtr-control:before,table.dataTable.dtr-column>tbody>tr>td.control:before,table.dataTable.dtr-column>tbody>tr>th.control:before {
    display: inline-block;
    box-sizing: border-box;
    content: "";
    border-top: 5px solid transparent;
    border-left: 10px solid rgba(0, 0, 0, 0.5);
    border-bottom: 5px solid transparent;
    border-right: 0px solid transparent
}

table.dataTable.dtr-column>tbody>tr>td.dtr-control.arrow-right::before,table.dataTable.dtr-column>tbody>tr>th.dtr-control.arrow-right::before,table.dataTable.dtr-column>tbody>tr>td.control.arrow-right::before,table.dataTable.dtr-column>tbody>tr>th.control.arrow-right::before {
    border-top: 5px solid transparent;
    border-left: 0px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 10px solid rgba(0, 0, 0, 0.5)
}

table.dataTable.dtr-column>tbody>tr.dtr-expanded td.dtr-control:before,table.dataTable.dtr-column>tbody>tr.dtr-expanded th.dtr-control:before,table.dataTable.dtr-column>tbody>tr.dtr-expanded td.control:before,table.dataTable.dtr-column>tbody>tr.dtr-expanded th.control:before {
    border-top: 10px solid rgba(0, 0, 0, 0.5);
    border-left: 5px solid transparent;
    border-bottom: 0px solid transparent;
    border-right: 5px solid transparent
}

table.dataTable>tbody>tr.child {
    padding: .5em 1em
}

table.dataTable>tbody>tr.child:hover {
    background: initial !important
}

table.dataTable>tbody>tr.child ul.dtr-details {
    display: inline-block;
    list-style-type: none;
    margin: 0;
    padding: 0
}

table.dataTable>tbody>tr.child ul.dtr-details>li {
    border-bottom: 1px solid #efefef;
    padding: .5em 0
}

table.dataTable>tbody>tr.child ul.dtr-details>li:first-child {
    padding-top: 0
}

table.dataTable>tbody>tr.child ul.dtr-details>li:last-child {
    padding-bottom: 0;
    border-bottom: none
}

table.dataTable>tbody>tr.child span.dtr-title {
    display: inline-block;
    min-width: 75px;
    font-weight: bold
}

div.dtr-modal {
    position: fixed;
    box-sizing: border-box;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    padding: 10em 1em
}

.customNode.context-container:has(p) {
    background: white;
    /* width: 80% !important; */
    margin-right: 3rem;
}

.customNode.context-container {
    background: white;
    /* width: 80% !important; */
    margin-right: 3rem;
}

div.dtr-modal div.dtr-modal-display {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 50%;
    height: fit-content;
    max-height: 75%;
    overflow: auto;
    margin: auto;
    z-index: 102;
    overflow: auto;
    background-color: #f5f5f7;
    border: 1px solid black;
    border-radius: .5em;
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.6)
}

div.dtr-modal div.dtr-modal-content {
    position: relative;
    padding: 2.5em
}

div.dtr-modal div.dtr-modal-content h2 {
    margin-top: 0
}

div.dtr-modal div.dtr-modal-close {
    position: absolute;
    top: 6px;
    right: 6px;
    width: 22px;
    height: 22px;
    text-align: center;
    border-radius: 3px;
    cursor: pointer;
    z-index: 12
}

div.dtr-modal div.dtr-modal-background {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 101;
    background: rgba(0, 0, 0, 0.6)
}

@media screen and (max-width: 767px) {
    div.dtr-modal div.dtr-modal-display {
        width:95%
    }
}

html.dark table.dataTable>tbody>tr>td.dtr-control:before,html[data-bs-theme=dark] table.dataTable>tbody>tr>td.dtr-control:before {
    border-left-color: rgba(255, 255, 255, 0.5) !important
}

html.dark table.dataTable>tbody>tr>td.dtr-control.arrow-right::before,html[data-bs-theme=dark] table.dataTable>tbody>tr>td.dtr-control.arrow-right::before {
    border-right-color: rgba(255, 255, 255, 0.5) !important
}

html.dark table.dataTable>tbody>tr.dtr-expanded>td.dtr-control:before,html.dark table.dataTable>tbody>tr.dtr-expanded>th.dtr-control:before,html[data-bs-theme=dark] table.dataTable>tbody>tr.dtr-expanded>td.dtr-control:before,html[data-bs-theme=dark] table.dataTable>tbody>tr.dtr-expanded>th.dtr-control:before {
    border-top-color: rgba(255, 255, 255, 0.5) !important;
    border-left-color: transparent !important;
    border-right-color: transparent !important
}

html.dark table.dataTable>tbody>tr.child ul.dtr-details>li,html[data-bs-theme=dark] table.dataTable>tbody>tr.child ul.dtr-details>li {
    border-bottom-color: rgb(64, 67, 70)
}

html.dark div.dtr-modal div.dtr-modal-display,html[data-bs-theme=dark] div.dtr-modal div.dtr-modal-display {
    background-color: rgb(33, 37, 41);
    border: 1px solid rgba(255, 255, 255, 0.15)
}




body:has(input[data-interaction-type="lookup"]:focus:hover:placeholder-shown),
input[data-interaction-type="lookup"]:focus:hover:placeholder-shown {
  cursor: wait;
}







.alreadyRetiredContainer label {
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 0px 10px 0px 10px;
}

.retiredCheckbox {
    height: auto !important;
}

































.home-page-image {
    width: 100%;
}

.welcome-section {
    padding: 0rem 20px 4rem 20px !important;
}


.welcome-section *:not(h1):not(h2):not(h3):not(a) {
    font-size: 20px;
    color: #2A2C2E !important;
    font-family: Roboto-Extralight !important;
    font-weight: 200 !important;
}

ul {
    font-family: Roboto-Extralight !important;
}

.entity-form:has(.welcome-section) {
    display: none;
}

.actions .entity-form {
    height: 0px;
    margin: 0;
    padding: 0;
}

.crmEntityFormView .actions:has(.welcome-section) {
    position: relative !important;
    padding-top: 0rem !important;
}

.crmEntityFormView .actions:has(.welcome-section) input {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
}

.welcome-subsection {
    margin-top: 5px;
}

#EntityFormPanel input {
    color: white !important;
    position: absolute;
    right: 1rem;
    bottom: 1rem;
}


.card-body.welcome-section .welcome-subsection {
    padding-left: 1rem;
    padding-right: 1rem;
}

.card-body.welcome-section .welcome-subsection:last-of-type {
    margin-bottom: 1rem;
}

.card-body.welcome-section {
    padding-top: 1rem !important;
}









/* staff mode additions  */
.staffModeNoEditAllowed, .staffModeNoEditAllowed + tr.child {
    pointer-events:none;
    opacity: 0.6;
}

.staffModeNoEditAllowed td:first-child button {
    display: none;
}

.staffModeNoEditAllowed td:first-child::before {
    content: "This record has already been commited to dataverse and cannot be modified here.";
    position: absolute !important;
    font-size: 10px;
    font-weight: 500;
    opacity: 1;
}




#modalDemoRows {
    display: flex;
    flex-direction: column;
    gap: 20px;
    overflow-x: scroll;
}

div#compareModal * {
    text-decoration: none;
}

.change-summary-col-label {
    font-weight: bold;
}

a.change-summary-section-title {
    font-size: 2em;
    text-decoration: none;
}

a.change-entry {
    display: flex;
    gap: 20px;
    border-bottom: 2px solid black !important;
}

.change-entry div {
    display: flex;
    flex-direction: column;
}



.dt-button.addRowBtn {
    font-weight: 600;
    border: 2px solid black !important;
}

button#printSummary {
    margin-left: auto;
    font-size: 20px;
    font-weight: 300;
}
button#printSummary:hover {
    font-weight: 500;
}